Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds
Class XDSInitParamsElement

    java.lang.Object
      com.novell.nds.dirxml.driver.xds.ElementImpl
          com.novell.nds.dirxml.driver.xds.XDSInitParamsElement

All Implemented Interfaces:
  XDSElement

public class XDSInitParamsElement
extends ElementImpl

An `<init-params>` element.

See Also:
  `XDSInitDocument.extractInitParamsElement()`, `XDSInitDocument.childElements()`, `StateDocument.appendInitParamsElement()`

Field Summary
`static com.novell.nds.dirxml.driver.DriverFilter` | `EMPTY_FILTER`

Method Summary
`XDSDriverStateElement` | `appendDriverStateElement()` Appends an empty, child `<driver-state>` element to this element.
`XDSPublisherStateElement` | `appendPublisherStateElement()` Appends an empty, child `<publisher-state>` element to this element.
`XDSSubscriberStateElement` | `appendSubscriberStateElement()` Appends an empty, child `<subscriber-state>` element to this element.
`String` | `containerDN()` Returns the container RDN (Relative Distinguished Name) from this element's `src-dn` attribute value.
`com.novell.nds.dirxml.driver.DriverFilter` | `driverFilter()` Returns a driver filter object that represents this element's child `<driver-filter>` element.
`XDSAuthenticationInfoElement` | `extractAuthenticationInfoElement()` Returns this element's child `<authentication-info>` element.
`XDSDriverFilterElement` | `extractDriverFilterElement()` Returns this element's child `<driver-filter>` element.
`XDSDriverOptionsElement` | `extractDriverOptionsElement()` Returns this element's child `<driver-options>` element.
`XDSDriverStateElement` | `extractDriverStateElement()` Returns this element's child `<driver-state>` element.
`XDSPublisherOptionsElement` | `extractPublisherOptionsElement()` Returns this element's child `<publisher-options>` element.
`XDSPublisherStateElement` | `extractPublisherStateElement()` Returns this element's child `<publisher-state>` element.
`XDSSubscriberOptionsElement` | `extractSubscriberOptionsElement()` Returns this element's child `<subscriber-options>` element.
`XDSSubscriberStateElement` | `extractSubscriberStateElement()` Returns this element's child `<subscriber-state>` element.
`String` | `getSrcDN()` Gets the value of this element's `src-dn` attribute.
`String` | `rdn()` Returns the right-most RDN (Relative Distinguished Name) from this element's `src-dn` attribute value.
`String` | `treeName()` Returns the left-most RDN from this element's `src-dn` attribute value.

Methods inherited from class com.novell.nds.dirxml.driver.xds.ElementImpl
`attributeValueGet, attributeValueGet, attributeValueSet, childElements, documentImpl, domDocument, domElement, localName, namespaceName, position, tagName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_FILTER

    public static final com.novell.nds.dirxml.driver.DriverFilter EMPTY_FILTER

Method Detail

### rdn

    public String rdn()

  Returns the right-most RDN (Relative Distinguished Name) from this element's `src-dn` attribute value. The naming RDN is the instance name of the driver, publisher, or subscriber object.

  Invocation Context:
    READ

  Returns:
    may return `null`; will not return `""`

### treeName

    public String treeName()

  Returns the left-most RDN from this element's `src-dn` attribute value. This is the tree name.

  Invocation Context:
    READ

  Returns:
    may return `null`; will not return `""`

### containerDN

    public String containerDN()

  Returns the container RDN (Relative Distinguished Name) from this element's `src-dn` attribute value. This is the driver set or driver DN.

  Invocation Context:
    READ

  Returns:
    may return `null`; will not return `""`

### getSrcDN

    public String getSrcDN()

  Gets the value of this element's `src-dn` attribute.

  Invocation Context:
    READ

  Returns:
    may return `null`; will not return `""`

### extractDriverFilterElement

    public XDSDriverFilterElement extractDriverFilterElement()

  Returns this element's child `<driver-filter>` element.

  Invocation Context:
    READ

  Returns:
    may be `null`

### driverFilter

    public com.novell.nds.dirxml.driver.DriverFilter driverFilter()

  Returns a driver filter object that represents this element's child `<driver-filter>` element.

  Invocation Context:
    READ

  Returns:
    may be `null`

### extractDriverOptionsElement

    public XDSDriverOptionsElement extractDriverOptionsElement()

  Returns this element's child `<driver-options>` element.

  Invocation Context:
    READ

  Returns:
    may be `null`

### extractSubscriberOptionsElement

    public XDSSubscriberOptionsElement extractSubscriberOptionsElement()

  Returns this element's child `<subscriber-options>` element.

  Invocation Context:
    READ

  Returns:
    may be `null`

### extractPublisherOptionsElement

    public XDSPublisherOptionsElement extractPublisherOptionsElement()

  Returns this element's child `<publisher-options>` element.

  Invocation Context:
    READ

  Returns:
    may be `null`

### extractDriverStateElement

    public XDSDriverStateElement extractDriverStateElement()

  Returns this element's child `<driver-state>` element.

  Invocation Context:
    READ

  Returns:
    may be `null`

### extractSubscriberStateElement

    public XDSSubscriberStateElement extractSubscriberStateElement()

  Returns this element's child `<subscriber-state>` element.

  Invocation Context:
    READ

  Returns:
    may be `null`

### extractPublisherStateElement

    public XDSPublisherStateElement extractPublisherStateElement()

  Returns this element's child `<publisher-state>` element.

  Invocation Context:
    READ

  Returns:
    may be `null`

### extractAuthenticationInfoElement

    public XDSAuthenticationInfoElement extractAuthenticationInfoElement()

  Returns this element's child `<authentication-info>` element.

  Invocation Context:
    READ

  Returns:
    may be `null`

### appendDriverStateElement

    public XDSDriverStateElement appendDriverStateElement()

  Appends an empty, child `<driver-state>` element to this element. When called multiple times, no action is taken and the first `<driver-state>` element is returned.

  Invocation Context:
    WRITE

  Returns:
    will not return `null`

### appendPublisherStateElement

    public XDSPublisherStateElement appendPublisherStateElement()

  Appends an empty, child `<publisher-state>` element to this element. When called multiple times, no action is taken and the first `<publisher-state>` element is returned.

  Invocation Context:
    WRITE

  Returns:
    will not return `null`

### appendSubscriberStateElement

    public XDSSubscriberStateElement appendSubscriberStateElement()

  Appends an empty, child `<subscriber-state>` element to this element. When called multiple times, no action is taken and the first `<subscriber-state>` element is returned.

  Invocation Context:
    WRITE

  Returns:
    will not return `null`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD